<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="avancementClasse">
      <h2 data-cy="avancementClasseDetailsHeading">
        <span jhiTranslate="gestionPersonnel3App.avancementClasse.detail.title">Avancement Classe</span>
      </h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ avancementClasse.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.avancementClasse.dateAvancement">Date Avancement</span></dt>
        <dd>
          <span>{{ avancementClasse.dateAvancement | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.avancementClasse.classe">Classe</span></dt>
        <dd>
          <div *ngIf="avancementClasse.classe">
            <a [routerLink]="['/classe', avancementClasse.classe.id, 'view']">{{ avancementClasse.classe.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.avancementClasse.employe">Employe</span></dt>
        <dd>
          <div *ngIf="avancementClasse.employe">
            <a [routerLink]="['/employe', avancementClasse.employe.id, 'view']">{{ avancementClasse.employe.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/avancement-classe', avancementClasse.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
